
From: David Gibson <david@gibson.dropbear.id.au>

Now that the PPC64 code supports more platforms than just pSeries and
iSeries, some p/i specific Kconfig options need to be updated accordingly.

Signed-off-by: David Gibson <dwg@au1.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Kconfig |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/Kconfig~ppc64-kconfig-cleanups arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~ppc64-kconfig-cleanups	Wed Oct  6 18:12:28 2004
+++ 25-akpm/arch/ppc64/Kconfig	Wed Oct  6 18:12:28 2004
@@ -222,7 +222,7 @@ config MSCHUNKS
 
 config PPC_RTAS
 	bool "Proc interface to RTAS"
-	depends on !PPC_ISERIES
+	depends on PPC_PSERIES
 
 config RTAS_FLASH
 	tristate "Firmware flash interface"
@@ -234,6 +234,7 @@ config SCANLOG
 
 config LPARCFG
 	tristate "LPAR Configuration Data"
+	depends on PPC_PSERIES || PPC_ISERIES
 	help
 	Provide system capacity information via human readable
 	<key word>=<value> pairs through a /proc/ppc64/lparcfg interface.
@@ -280,7 +281,7 @@ source "drivers/pci/Kconfig"
 
 config HOTPLUG_CPU
 	bool "Support for hot-pluggable CPUs"
-	depends on SMP && HOTPLUG && EXPERIMENTAL
+	depends on SMP && HOTPLUG && EXPERIMENTAL && PPC_PSERIES
 	---help---
 	  Say Y here to be able to turn CPUs off and on.
 
_
